/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_tele}", "click", function(sym, e) {
         sym.getSymbol("sound").play(1);
         sym.getSymbol("sim_tv").play("uno");
         sym.getSymbol("btn_tele2").stop(0);
         sym.getSymbol("btn_tele3").stop(0);
         sym.getSymbol("btn_tele4").stop(0);
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_tele2}", "click", function(sym, e) {
         sym.getSymbol("sound").play(1);
         sym.getSymbol("sim_tv").play("dos");
         sym.getSymbol("btn_tele").stop(0);
         sym.getSymbol("btn_tele3").stop(0);
         sym.getSymbol("btn_tele4").stop(0);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_tele3}", "click", function(sym, e) {
         sym.getSymbol("sound").play(1);
         sym.getSymbol("sim_tv").play("tres");
         sym.getSymbol("btn_tele2").stop(0);
         sym.getSymbol("btn_tele").stop(0);
         sym.getSymbol("btn_tele4").stop(0);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_tele4}", "click", function(sym, e) {
         sym.getSymbol("sound").play(1);
         sym.getSymbol("sim_tv").play("cuatro");
         sym.getSymbol("btn_tele2").stop(0);
         sym.getSymbol("btn_tele3").stop(0);
         sym.getSymbol("btn_tele").stop(0);

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'sim_tv'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 100, function(sym, e) {
         
         sym.play(0);

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 900, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1300, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1700, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("sim_tv");
   //Edge symbol end:'sim_tv'

   //=========================================================
   
   //Edge symbol: 'btn_tele'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 100, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Rectangle4}", "click", function(sym, e) {
         sym.stop(100);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Rectangle5}", "click", function(sym, e) {
         sym.stop(0);
         

      });
      //Edge binding end

   })("btn_tele");
   //Edge symbol end:'btn_tele'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'sound'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1300, function(sym, e) {
         
         sym.stop(0);

      });
      //Edge binding end

   })("sound");
   //Edge symbol end:'sound'

   //=========================================================
   
   //Edge symbol: 'question'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 300, function(sym, e) {
         sym.stop();
         
         sym.$("Text2").html("Las personas que transmiten los mensajes son los <b>emisores.</b>");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Rectangle8}", "click", function(sym, e) {
         sym.play(400);
         

      });
      //Edge binding end

   })("question");
   //Edge symbol end:'question'

   //=========================================================
   
   //Edge symbol: 'question_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 300, function(sym, e) {
         sym.stop();
         
         sym.$("Text2").html("Las personas que transmiten los mensajes son los <b>emisores.</b>");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Rectangle8}", "click", function(sym, e) {
         sym.play(400);
         

      });
      //Edge binding end

   })("question2");
   //Edge symbol end:'question2'

   //=========================================================
   
   //Edge symbol: 'question2_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 300, function(sym, e) {
         sym.stop();
         
         sym.$("Text2").html("El contenido y la información que transmite el emisor y escucha el receptor se denomina <b>mensaje.</b>");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Rectangle8}", "click", function(sym, e) {
         sym.play(400);
         

      });
      //Edge binding end

   })("question3");
   //Edge symbol end:'question3'

   //=========================================================
   
   //Edge symbol: 'question3_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 300, function(sym, e) {
         sym.stop();
         
         sym.$("Text2").html("El <b>contexto</b> es el elemento de la comunicación que define la situación y aclara el mensaje.");
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_Rectangle8}", "click", function(sym, e) {
         sym.play(400);
         

      });
         //Edge binding end

      })("question4");
   //Edge symbol end:'question4'

})(jQuery, AdobeEdge, "EDGE-5531445");